System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

This converter can only convert to a string. It works as a pass through for other converters that want to convert an object to a string.

For more information about type converters, see the base class and How to: Implement a Type Converter.

You should never create an instance of . Instead, call the method of . For more information, see the examples in the base class.

Provides a type converter to convert string objects to and from other representations.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so always check. Also, properties on the context object can return null.

  Gets a value indicating whether this converter can convert an object in the given source type to a string using the specified context.

  true if this converter can perform the conversion; otherwise, false.

  An that provides a format context. A that represents the type you wish to convert from.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` `` ``

  The parameter can be used to extract additional information about the environment this converter is being invoked from. This can be null, so you always need to check its value. In addition, properties on the context object can return null.

  Converts the specified value object to a object.

  An that represents the converted value.

  An that provides a format context. The to use. The to convert.